#RECURSIVE FIND OF TARGET

execute at @s as @p[predicate=winged:if_in_aircraft] at @e[tag=target_lock] run function winged:aircrafts/abilities/particles_found_target

execute if entity @s[tag=team.lime] run summon snowball ^ ^0.5 ^2 {NoGravity:1b,Passengers:[{id:"minecraft:armor_stand",Passengers:[{id:"minecraft:cat",ActiveEffects:[{Id:14,Amplifier:1b,Duration:10000,ShowParticles:0b}],Silent:1b,Invulnerable:1b,Tags:["missile_owner","new","team.lime"]}],ArmorItems:[{},{},{},{id:"minecraft:snowball",Count:1b,tag:{CustomModelData:1}}],Invisible:1b,Invulnerable:1b,Tags:["projectile_land","new","kill","homing_carrot","team.lime","rider"]}],Tags:["homing_carrot","projectile","new","team.lime"],Item:{id:"minecraft:pumpkin",Count:1b}}
execute if entity @s[tag=team.yellow] run summon snowball ^ ^0.5 ^2 {NoGravity:1b,Passengers:[{id:"minecraft:armor_stand",Passengers:[{id:"minecraft:cat",ActiveEffects:[{Id:14,Amplifier:1b,Duration:10000,ShowParticles:0b}],Silent:1b,Invulnerable:1b,Tags:["missile_owner","new","team.yellow"]}],ArmorItems:[{},{},{},{id:"minecraft:snowball",Count:1b,tag:{CustomModelData:1}}],Invisible:1b,Invulnerable:1b,Tags:["projectile_land","new","kill","homing_carrot","team.yellow","rider"]}],Tags:["homing_carrot","projectile","new","team.yellow"],Item:{id:"minecraft:pumpkin",Count:1b}}

#SET MISSILE OWNER UUID

execute as @e[type=cat,tag=missile_owner,tag=new] run data modify entity @s Owner set from entity @p[predicate=winged:if_in_aircraft] UUID

#SCORES
scoreboard players set @e[type=armor_stand,tag=homing_carrot,tag=new] damage 2000
scoreboard players set @e[type=snowball,tag=homing_carrot,tag=new] distance 300

#COPY YAW OF HELI

execute store result entity @e[type=armor_stand,tag=homing_carrot,tag=new,limit=1,sort=nearest] Rotation[0] float 1 run data get entity @s Rotation[0]
execute store result entity @e[type=armor_stand,tag=homing_carrot,tag=new,limit=1,sort=nearest] Rotation[1] float 1 run data get entity @s Rotation[1]

#SET MISSILE TARGET UUID

execute if entity @e[tag=target_lock,limit=1] as @e[type=snowball,tag=new,tag=homing_carrot,limit=1] run data modify entity @s Owner set from entity @e[tag=target_lock,limit=1] UUID
execute at @s unless entity @e[tag=target_lock,limit=1] as @e[type=snowball,tag=new,tag=homing_carrot,tag=team.yellow,limit=1] run data modify entity @s Owner set from entity @e[tag=aircraft,tag=!team.yellow,limit=1,sort=nearest,distance=..60] UUID
execute at @s unless entity @e[tag=target_lock,limit=1] as @e[type=snowball,tag=new,tag=homing_carrot,tag=team.lime,limit=1] run data modify entity @s Owner set from entity @e[tag=aircraft,tag=!team.lime,limit=1,sort=nearest,distance=..60] UUID

tag @e[tag=homing_carrot] remove new
tag @e[tag=missile_owner] remove new
