#ADD TAG TO PLANE THAT WAS DAMAGED BY BULLET
execute if entity @s[tag=team.lime] run tag @e[type=armor_stand,tag=aircraft,sort=nearest,limit=1,distance=..6,tag=!team.lime] add damaged
execute if entity @s[tag=team.yellow] run tag @e[type=armor_stand,tag=aircraft,sort=nearest,limit=1,distance=..6,tag=!team.yellow] add damaged

#ADD TAG TO BULLET_LAND ENTITY IF IT COLLIDED WITH PLANE
execute if entity @s[tag=team.lime] if entity @e[type=armor_stand,tag=aircraft,sort=nearest,limit=1,distance=..6,tag=!team.lime] run tag @s add damaged_aircraft
execute if entity @s[tag=team.yellow] if entity @e[type=armor_stand,tag=aircraft,sort=nearest,limit=1,distance=..6,tag=!team.yellow] run tag @s add damaged_aircraft

#ADD TAG TO BULLET_LAND ENTITY IF IT COLLIDED WITH PLAYER
execute if entity @s[tag=team.lime] if entity @p[predicate=!winged:if_in_aircraft,sort=nearest,limit=1,dx=5,dy=5,dz=5,tag=!team.lime] run tag @s add damaged_player
execute if entity @s[tag=team.yellow] if entity @p[predicate=!winged:if_in_aircraft,sort=nearest,limit=1,dx=5,dy=5,dz=5,tag=!team.yellow] run tag @s add damaged_player

#DAMAGE AIRCRAFTS FROM OTHER TEAMS
execute if entity @s[tag=team.lime] run scoreboard players operation @e[type=armor_stand,tag=aircraft,sort=nearest,limit=1,distance=..6,tag=!team.lime] aircraft_health -= @s damage
execute if entity @s[tag=team.yellow] run scoreboard players operation @e[type=armor_stand,tag=aircraft,sort=nearest,limit=1,distance=..6,tag=!team.yellow] aircraft_health -= @s damage

#DAMAGE ENTITIES FROM OTHER TEAMS
execute positioned ~-3 ~-3 ~-3 run tag @p[predicate=!winged:if_in_aircraft,sort=nearest,limit=1,dx=5,dy=5,dz=5,gamemode=adventure] add player_hit_by_bullet
execute if entity @s[tag=team.lime] run scoreboard players operation @a[tag=player_hit_by_bullet,tag=!team.lime] custom_damage = @s damage
execute if entity @s[tag=team.yellow] run scoreboard players operation @a[tag=player_hit_by_bullet,tag=!team.yellow] custom_damage = @s damage
tag @a remove player_hit_by_bullet

scoreboard players operation @a[scores={custom_damage=1..}] custom_damage /= #50 Data
scoreboard players add @a[scores={custom_damage=0}] custom_damage 1

#GET MESSAGE FOR PLAYER KILLING PLAYER OUTSIDE OF PLANE
execute as @p[scores={custom_damage=1..}] if score @s custom_damage >= @s Health run tag @s add victim
execute at @p[tag=victim] run summon snowball ~ ~ ~ {id:"minecraft:snowball",Item:{id:"minecraft:ender_eye",Count:1b},Tags:["killed_only_player"],CustomName:'{"text":"Player UUID"}'}
execute if entity @p[tag=victim] run data modify entity @e[type=snowball,tag=killed_only_player,limit=1,sort=nearest] Owner set from entity @s Owner
execute if entity @p[tag=victim] as @e[tag=killed_only_player] run function winged:get_uuid
kill @e[tag=killed_only_player]
tag @a remove victim
execute as @a[scores={custom_damage=1..}] run function custom_damage:apply

#BULETS DAMAGE BUILDINGS

execute if block ~ 50 ~ #leaves run function winged:aircrafts/bullets/landed/damage_buildings/main

execute as @s[tag=damaged_building] run function winged:get_uuid

#DIFFERENT BULLETS FOR LANDING

execute as @s[tag=bee] run function winged:aircrafts/bullets/landed/honey_bullet
execute as @s[tag=chicken] run function winged:aircrafts/bullets/landed/feather_clump
execute as @s[tag=shark] run function winged:aircrafts/bullets/landed/water_bullet
execute as @s[tag=pig] run function winged:aircrafts/bullets/landed/mud_shot

execute as @s[tag=damaged_aircraft] run playsound block.ancient_debris.break neutral @a ~ ~ ~ 1 1

#SET OWNER TO KILLER UUID
data modify entity @e[type=snowball,tag=killer_uuid,limit=1,sort=nearest,predicate=winged:damaged] Owner set from entity @s Owner

#DISPLAY KILLER UUID
#tellraw @a {"nbt":"Owner","entity":"@e[type=snowball,tag=killer_uuid,limit=1,sort=nearest]","bold":true}

#TEST FOR OWNER OF THE BULLET THAT LANDED

execute as @s[tag=team.lime] if entity @e[type=armor_stand,tag=aircraft,sort=nearest,limit=1,distance=..6,tag=!team.lime] run function winged:get_uuid
execute as @s[tag=team.yellow] if entity @e[type=armor_stand,tag=aircraft,sort=nearest,limit=1,distance=..6,tag=!team.yellow] run function winged:get_uuid

#KILL AIRCRAFTS WITH HEALTH LESS THAN 0

execute as @e[type=armor_stand,tag=aircraft,sort=nearest,limit=1,distance=..6,scores={aircraft_health=..0}] run function winged:aircrafts/died

#KILL BULLET_LAND

tag @e remove damaged
tag @s remove damaged_aircraft

kill @s