#ACTION WHEN KILL DETECTED (EXECUTOR IS KILLER PLAYER)

#COSMETICS FOR KILLER
playsound winged:effects.kill weather @s ~ ~ ~ 100 1
gamerule showDeathMessages false
execute if entity @s[tag=team.yellow] run scoreboard players add .yellow money 100
execute if entity @s[tag=team.lime] run scoreboard players add .lime money 100
scoreboard players add @s stats.kills 1
playsound winged:coin.pickup weather @s ~ ~ ~ 1 1
scoreboard players set @s music.repetitions 5

#ADD VICTIM TAG TO AIRCRAFT

execute as @e[tag=kill_aircraft] at @s if predicate winged:if_aircraft_has_driver run tag @p[predicate=winged:if_in_aircraft] add victim
execute as @e[tag=kill_aircraft,tag=died_in_water] at @s if predicate winged:if_aircraft_has_driver run tag @p[predicate=winged:if_in_aircraft] add died_in_water
execute as @e[tag=kill_aircraft,tag=died_by_airmine] at @s if predicate winged:if_aircraft_has_driver run tag @p[predicate=winged:if_in_aircraft] add died_by_airmine

#DISPLAY DEATH MESSAGE
execute if entity @a[tag=victim,tag=!died_in_water,tag=!died_by_airmine] run function winged:aircrafts/kill_detect/random_kill_message
execute if entity @a[tag=victim,tag=died_in_water] run tellraw @a [{"text":"["},{"text":"☠","color":"#61D5FF"},{"text":"]"},{"text":" "},{"selector":"@a[tag=victim,tag=died_in_water]"},{"text":" was sent to eternal spa by "},{"selector":"@s"}]
execute if entity @a[tag=victim,tag=died_by_airmine] run tellraw @a [{"text":"["},{"text":"☠","color":"#FF0000"},{"text":"]"},{"text":" "},{"selector":"@a[tag=victim,tag=died_by_airmine]"},{"text":" was forced into a BIG SPIKY AIR MINE by "},{"selector":"@s"}]
execute if entity @a[tag=victim] run scoreboard players add @s kill_count 1

#DISPLAY WHO WAS KILLED
title @s times 5 80 5
title @s title [{"text":""}]
title @s subtitle [{"text":"☠ ","color":"red"},{"selector":"@a[tag=victim]","color":"#FFFFFF"}]


#KILL VICTIM
execute as @a[tag=victim] run function winged:game/respawn
kill @e[tag=target,tag=killer_uuid]
gamemode spectator @a[tag=victim]
spectate @s @a[tag=victim,limit=1]
tag @a remove victim
tag @e remove died_in_water
tag @e remove died_by_airmine