#SUMMON MARKER FOR GUN DETECTION

execute if score @s fire_rate matches 0 run summon minecraft:marker ^2.5 ^-0.5 ^1.1 {Tags: ["kill","left_wing","gun","new"]}
execute if score @s fire_rate matches 2 run summon minecraft:marker ^-2.5 ^-0.5 ^1.1 {Tags: ["kill","right_wing","gun","new"]}

scoreboard players operation @e[type=marker,tag=gun,tag=new] yaw = @s yaw

#ROLL BULLET AROUND WINGS

execute as @e[type=marker,tag=gun,tag=new] store result entity @s Rotation[0] float 1 run scoreboard players get @s yaw
execute as @e[type=marker,tag=gun,tag=new] at @s run function winged:aircrafts/hitbox/rotate_roll

tag @e[type=marker,tag=gun] remove new

#ACTION ON GUN MARKER

execute as @e[type=marker,tag=gun] at @s run summon snowball ~ ~ ~ {NoGravity:1b,Passengers:[{id:"minecraft:area_effect_cloud",Age:-2147483648,Duration:-1,WaitTime:-2147483648,Tags:["bullet_land","new","kill","bee","rider"]}],Tags:["honey_bullet","bullet","new"],Item:{id:"minecraft:honeycomb_block",Count:1b}}

summon marker ^ ^ ^50 {Tags:["honey_bullet","bullet","vector","new"]}
scoreboard players remove @s[scores={fire_rate=0,ammo=1..}] ammo 1
scoreboard players remove @s[scores={fire_rate=2,ammo=1..}] ammo 1

execute if score @s ammo matches ..0 run function winged:aircrafts/bullets/reload

#LIFE OF BULLET

scoreboard players set @e[type=snowball,tag=bullet,tag=new] distance 30

#DAMAGE OF A BULLET

scoreboard players set @e[type=area_effect_cloud,tag=bullet_land,tag=new,tag=bee] damage 150

#PUT TEAM TO BULLET_LAND & OWNER

execute as @e[type=area_effect_cloud,tag=bullet_land,tag=new] run data modify entity @s Owner set from entity @p[predicate=winged:if_in_aircraft] UUID
execute if entity @s[tag=team.lime] run tag @e[type=area_effect_cloud,tag=bullet_land,tag=new] add team.lime
execute if entity @s[tag=team.yellow] run tag @e[type=area_effect_cloud,tag=bullet_land,tag=new] add team.yellow
tag @e[type=area_effect_cloud,tag=bullet_land] remove new

#PUT TEAM TO BULLET

execute if entity @s[tag=team.lime] run tag @e[type=snowball,tag=bullet,tag=new] add team.lime
execute if entity @s[tag=team.yellow] run tag @e[type=snowball,tag=bullet,tag=new] add team.yellow

#MOTION TO A BULLET

execute as @e[type=snowball,tag=bullet,tag=new] at @s run function winged:aircrafts/bullets/motion

#COSMETICS

execute at @e[type=marker,tag=gun] run playsound winged:b51_musting.shoot hostile @a ~ ~ ~ 1 1
execute at @e[type=marker,tag=gun] run particle falling_honey ~ ~ ~ 0 0 0 1 1 force @a


#KILL VECTOR MARKER

kill @e[type=marker,tag=kill]
kill @e[type=marker,tag=new]

