#SELF DESTRUCT
scoreboard players add @s[tag=!seated,scores={throttle=50..}] self_destruct 1
#COSMETICS FOR SELF DESTRUCT
scoreboard players operation 5s self_destruct = @s self_destruct
scoreboard players operation 5s self_destruct %= #20 Data
execute if score @s self_destruct matches 500.. if score 5s self_destruct matches 0 run playsound block.note_block.bit neutral @a ~ ~ ~ 2 1
execute as @s[scores={self_destruct=600..}] at @s run function winged:aircrafts/died

#PARTICLES FOR WHERE THE PLAYER HAS TO RIGHT CLICK TO GET IN PLANE
execute unless predicate winged:if_aircraft_has_driver at @e[type=minecart,limit=1,sort=nearest,tag=aircraft] run particle dust 0 0.58 0.969 1 ~ ~0.3 ~ 0 0 0 0 10 normal @a

#ADD TAG TO ALL AIRCRAFTS IF THROTTLE > 0

scoreboard players set @s[scores={throttle=1..},tag=!on] startup 10
execute as @s[scores={throttle=1..},tag=!on] at @s run function winged:aircrafts/mechanics/aircrafts/startup
tag @s[scores={throttle=1..}] add on
scoreboard players reset @s[scores={throttle=0},tag=on] startup
execute as @s[scores={throttle=0},tag=on] at @s run function winged:aircrafts/mechanics/aircrafts/stop
tag @s[scores={throttle=0}] remove on

execute as @s[predicate=winged:if_aircraft_has_driver,tag=!seated] run playsound winged:effects.plane_enter weather @a[limit=1,sort=nearest,predicate=winged:if_in_aircraft]
execute as @s[predicate=winged:if_aircraft_has_driver,tag=!seated] at @s run function winged:aircrafts/sat_in
tag @s[predicate=winged:if_aircraft_has_driver] add seated
execute as @s[predicate=!winged:if_aircraft_has_driver,tag=seated] run function winged:aircrafts/got_out
tag @s[predicate=!winged:if_aircraft_has_driver] remove seated

#HEAL DELAY

execute unless score @s heal_delay matches 300.. run scoreboard players add @s heal_delay 1
execute if score @s old_health > @s aircraft_health run scoreboard players reset @s heal_delay
execute if score @s heal_delay matches 60.. if score @s aircraft_health < @s max_health run scoreboard players add @s aircraft_health 1
scoreboard players operation @s old_health = @s aircraft_health

#CLEAN KILLER UUID AFTER 10S OF NOT TAKING DAMAGE
execute if score @s heal_delay matches 200 as @e[type=snowball,tag=killer_uuid] run data merge entity @s {Owner:[I;0,0,0,0]}

execute as @s[tag=on,tag=team.lime] at @s anchored eyes run particle dust 0.314 0.859 0.078 1 ~ ~ ~ 0.2 0.2 0.2 10 30 force
execute as @s[tag=on,tag=team.yellow] at @s anchored eyes run particle dust 1.000 0.835 0.000 1 ~ ~ ~ 0.2 0.2 0.2 10 30 force

scoreboard players remove @s[scores={startup=1..}] startup 1

#IF PLANE IS IN RANGE OF RING BOOST

execute if entity @e[type=marker,tag=ring_boost,distance=..3,scores={ring_boost=0}] run function winged:game/ring_boost/main

#AS PLAYER IN PLANE

execute if predicate winged:if_aircraft_has_driver as @p if predicate winged:if_in_aircraft at @s run function winged:aircrafts/player_main