#SET CALC_MOTION BACK TO ORIGINAL VALUE

scoreboard players operation @s x_calc_motion = @s x_motion
scoreboard players operation @s z_calc_motion = @s z_motion
scoreboard players operation @s y_calc_motion = @s y_motion

#AIRCRAFT FUNCTION CALLS

execute as @s[tag=bee] run function winged:aircrafts/mains/b51_musting
execute as @s[tag=chicken] run function winged:aircrafts/mains/hot_chick
execute as @s[tag=shark] run function winged:aircrafts/mains/spitwater

#RELOAD FUNCTION

execute if score @s reload matches 1.. run function winged:aircrafts/bullets/reload

#TEMP

execute if block ~ ~ ~ water run function winged:aircrafts/died_in_water
execute if block ~ ~-0.01 ~ dirt_path run tp @s ~ ~0.01 ~

#MAIN PLANE MECHANICS

execute unless score @s stinger matches 400..420 run summon marker ^ ^ ^2 {Tags:["vector"]}

#STORE COORDINATES MARKER

execute positioned ^ ^ ^2 as @e[type=marker,tag=vector,sort=nearest,limit=1] store result score @s x run data get entity @s Pos[0] 1000
execute positioned ^ ^ ^2 as @e[type=marker,tag=vector,sort=nearest,limit=1] store result score @s y run data get entity @s Pos[1] 1000
execute positioned ^ ^ ^2 as @e[type=marker,tag=vector,sort=nearest,limit=1] store result score @s z run data get entity @s Pos[2] 1000

#STORE COORDINATES ARMORSTAND

execute store result score @s x run data get entity @s Pos[0] 1000
execute store result score @s y run data get entity @s Pos[1] 1000
execute store result score @s z run data get entity @s Pos[2] 1000

#SUBSTITUTE COORDINATES

execute positioned ^ ^ ^2 store result score @s x_calc_motion run scoreboard players operation @e[type=marker,tag=vector,limit=1,sort=nearest] x -= @s x
execute positioned ^ ^ ^2 store result score @s y_calc_motion run scoreboard players operation @e[type=marker,tag=vector,limit=1,sort=nearest] y -= @s y
execute positioned ^ ^ ^2 store result score @s z_calc_motion run scoreboard players operation @e[type=marker,tag=vector,limit=1,sort=nearest] z -= @s z

#STORE VALUE

scoreboard players operation @s x_motion = @s x_calc_motion
scoreboard players operation @s y_motion = @s y_calc_motion
scoreboard players operation @s z_motion = @s z_calc_motion

#ADD SPEED TO PLANE FROM THROTTLE

scoreboard players operation @s throttle_value = @s throttle
scoreboard players operation @s throttle_value /= #5 Data
scoreboard players operation @s throttle_max_speed = @s aircraft_speed
scoreboard players operation @s throttle_max_speed /= @s throttle
scoreboard players operation @s[scores={aircraft_speed=..9999,throttle_max_speed=..19}] aircraft_speed += @s throttle_value
#IF THROTTLE 1..9/100
scoreboard players add @s[scores={throttle=1..9,throttle_max_speed=..19}] aircraft_speed 1


###SPEED DATAPACK###

function winged:aircrafts/speed

###SPEED DATAPACK###

#PLANE SPEED CALC_MOTION = AIRCRAFT SPEED % OF MOTION

scoreboard players operation @s total_speed = @s overclock_speed
execute if score @s total_speed matches 1.. run scoreboard players operation @s total_speed += @s aircraft_speed

execute if score @s total_speed matches 0 run scoreboard players operation @s x_calc_motion *= @s aircraft_speed
execute if score @s total_speed matches 0 run scoreboard players operation @s y_calc_motion *= @s aircraft_speed
execute if score @s total_speed matches 0 run scoreboard players operation @s z_calc_motion *= @s aircraft_speed

#PLANE SPEED CALC_MOTION = OVERCLOCK SPEED % OF MOTION

execute if score @s total_speed matches 1.. run scoreboard players operation @s x_calc_motion *= @s total_speed
execute if score @s total_speed matches 1.. run scoreboard players operation @s y_calc_motion *= @s total_speed
execute if score @s total_speed matches 1.. run scoreboard players operation @s z_calc_motion *= @s total_speed

scoreboard players operation @s x_calc_motion /= #100 Data
scoreboard players operation @s y_calc_motion /= #100 Data
scoreboard players operation @s z_calc_motion /= #100 Data

#HITBOX

function winged:aircrafts/hitbox/aircraft

#KEEP PITCH IN PLACE AND MAX VALUE AT GROUND

execute unless score @s dest_pitch matches 0 run scoreboard players set @s[nbt={OnGround:1b},scores={aircraft_speed=..999}] dest_pitch 0
execute unless score @s dest_pitch matches 0 run scoreboard players set @s[nbt={OnGround:1b},scores={pitch=1..,aircraft_speed=1000..}] dest_pitch 0
execute store result entity @s Rotation[1] float 0.1 run scoreboard players get @s pitch
execute store result entity @s Rotation[0] float 1 run scoreboard players get @s yaw

#GET YAW & PITCH DEST FROM PLAYER

execute if entity @p[predicate=winged:if_in_aircraft] store result score @s[predicate=winged:if_aircraft_has_driver] dest_yaw run data get entity @p[predicate=winged:if_in_aircraft] Rotation[0]
execute if entity @p[predicate=winged:if_in_aircraft] store result score @s[nbt={OnGround:0b},predicate=winged:if_aircraft_has_driver] dest_pitch run data get entity @p[predicate=winged:if_in_aircraft] Rotation[1] 10

#SMOOTH ROTATION AND ROLL

execute unless entity @s[scores={diff_yaw=0,diff_pitch=0}] run function winged:aircrafts/mechanics/planes/smooth_rotation
#BACKROLL WHEN PLANE ALIGNS WITH PLAYER
execute unless score @s roll matches 0 as @s[scores={diff_yaw=0}] run function winged:aircrafts/mechanics/planes/backroll
tag @s remove rolling
#BACKROLL WHEN PLANE PITCH IS NOT +-450*
execute unless score @s roll matches 0 unless entity @s[scores={pitch=-450..450}] run function winged:aircrafts/mechanics/planes/backroll
#ROLL NOT ACTIVE ON GROUND
execute unless score @s roll matches 0 unless entity @s[scores={diff_yaw=0,diff_pitch=0}] as @s[nbt={OnGround:1b}] run function winged:aircrafts/mechanics/planes/backroll

#SOLVE OVERFLOW FOR YAW

scoreboard players set @s[scores={yaw=181..}] yaw -179
scoreboard players set @s[scores={yaw=..-180}] yaw 180

#COUNT DIFFERENCE IN YAW & PITCH

scoreboard players operation @s diff_yaw = @s dest_yaw
scoreboard players operation @s diff_yaw -= @s yaw
scoreboard players operation @s diff_pitch = @s dest_pitch
scoreboard players operation @s diff_pitch -= @s pitch

#SET VISUAL ROTATION FOR PLANE

execute store result entity @s Rotation[0] float 1 run scoreboard players get @s yaw
execute store result entity @s Pose.Head[0] float 0.1 run scoreboard players get @s pitch
execute store result entity @s Pose.Head[2] float 0.1 run scoreboard players get @s roll

#APPLY MOTION

function winged:aircrafts/mechanics/aircrafts/apply_motion/compare_motions

effect give @s[scores={aircraft_speed=500..}] slow_falling 1 0 true

#ADJUST PLANE SPEED DEPENDING ON PITCH

scoreboard players operation @s speed_percent = @s pitch
scoreboard players operation @s speed_percent *= #15 Data
scoreboard players operation @s speed_percent /= #1000 Data
scoreboard players operation @s[nbt={OnGround:0b},scores={aircraft_speed=..3000}] aircraft_speed += @s[nbt={OnGround:0b},scores={aircraft_speed=..3000}] speed_percent
scoreboard players set @s[scores={aircraft_speed=..-1}] aircraft_speed 0

#REMOVE PLANE SPEED WHEN THROTTLE NOT SPINNING OR PLANE SPEED TO HIGH FOR THROTTLE SPIN

scoreboard players remove @s[scores={throttle_max_speed=20..,aircraft_speed=1..}] aircraft_speed 1
scoreboard players remove @s[scores={throttle=0,aircraft_speed=1..},nbt={OnGround:1b}] aircraft_speed 1

execute if entity @s[predicate=winged:if_aircraft_has_driver,scores={reload=0}] if score @s total_speed matches 0 run title @p[predicate=winged:if_in_aircraft] actionbar [{"text":"§4❤§f "},{"score":{"name":"@s","objective":"aircraft_health"}},{"text":"    §2➹§f "},{"score":{"name":"@s","objective":"ammo"}},{"translate":"space.100"},{"text":"§6☄§f "},{"score":{"name":"@s","objective":"aircraft_speed"}},{"text":"    §8✣§f "},{"score":{"name":"@s","objective":"throttle"}}]
execute if entity @s[predicate=winged:if_aircraft_has_driver,scores={reload=0}] if score @s total_speed matches 1.. run title @p[predicate=winged:if_in_aircraft] actionbar [{"text":"§4❤§f "},{"score":{"name":"@s","objective":"aircraft_health"}},{"text":"    §2➹§f "},{"score":{"name":"@s","objective":"ammo"}},{"translate":"space.100"},{"text":"☄§f ","color":"#9999FF","bold":false},{"score":{"name":"@s","objective":"total_speed"},"color":"#00FF00"},{"text":"    §8✣§f "},{"score":{"name":"@s","objective":"throttle"}}]

#KILL MARKER

kill @e[type=marker,tag=vector]