#DAMAGE OTHER AIRCRAFTS

execute if entity @s[tag=team.lime] run scoreboard players operation @e[type=armor_stand,tag=aircraft,distance=..20,tag=!team.lime] aircraft_health -= @s damage
execute if entity @s[tag=team.yellow] run scoreboard players operation @e[type=armor_stand,tag=aircraft,distance=..20,tag=!team.yellow] aircraft_health -= @s damage

#EXPLOSION FALLOFF COUNT

tag @s add source
execute if entity @s[tag=team.lime] as @e[type=armor_stand,tag=aircraft,distance=..20,tag=!team.lime,tag=!Invulnerable] run function winged:generic/get_axis_diff
execute if entity @s[tag=team.yellow] as @e[type=armor_stand,tag=aircraft,distance=..20,tag=!team.yellow,tag=!Invulnerable] run function winged:generic/get_axis_diff
tag @s remove source

#EXPLOSION DISTANCE RATIO

execute if entity @s[tag=team.lime] as @e[type=armor_stand,tag=aircraft,distance=..20,tag=!team.lime,tag=!Invulnerable] run scoreboard players operation @s axis_diff /= #5 Data
execute if entity @s[tag=team.yellow] as @e[type=armor_stand,tag=aircraft,distance=..20,tag=!team.yellow,tag=!Invulnerable] run scoreboard players operation @s axis_diff /= #5 Data

#EXPLOSION FALLOFF

execute as @e[type=armor_stand,tag=aircraft,distance=..20] if score @s axis_diff matches 2001.. run scoreboard players set @s axis_diff 2000
execute as @e[type=armor_stand,tag=aircraft,distance=..20] if score @s axis_diff matches ..-2001 run scoreboard players set @s axis_diff 2000

execute if entity @s[tag=team.lime] as @e[type=armor_stand,tag=aircraft,distance=..20,tag=!team.lime] if score @s axis_diff matches 1.. run scoreboard players operation @s aircraft_health += @s axis_diff
execute if entity @s[tag=team.yellow] as @e[type=armor_stand,tag=aircraft,distance=..20,tag=!team.yellow] if score @s axis_diff matches 1.. run scoreboard players operation @s aircraft_health += @s axis_diff

execute if entity @s[tag=team.lime] as @e[type=armor_stand,tag=aircraft,distance=..20,tag=!team.lime] if score @s axis_diff matches ..-1 run scoreboard players operation @s aircraft_health -= @s axis_diff
execute if entity @s[tag=team.yellow] as @e[type=armor_stand,tag=aircraft,distance=..20,tag=!team.yellow] if score @s axis_diff matches ..-1 run scoreboard players operation @s aircraft_health -= @s axis_diff

#ADD DAMAGED TAG FOR MISSILE EXPLOSION

execute if entity @s[tag=team.lime] as @e[type=armor_stand,tag=!team.lime,distance=..20,tag=aircraft,scores={axis_diff=-1999..1999},tag=!Invulnerable] run tag @s add damaged
execute if entity @s[tag=team.yellow] as @e[type=armor_stand,tag=!team.yellow,distance=..20,tag=aircraft,scores={axis_diff=-1999..1999},tag=!Invulnerable] run tag @s add damaged

#SET OWNER TO KILLER UUID
tag @e[type=cat,limit=1,sort=nearest,tag=missile_owner] add this_missile
execute as @e[type=snowball,tag=killer_uuid,predicate=winged:damaged] run data modify entity @s Owner set from entity @e[tag=this_missile,limit=1] Owner
tag @e[type=cat,limit=1,sort=nearest,tag=missile_owner] remove this_missile

#DIED OR SURVIVED AIRCRAFT FUNCTIONS

execute as @e[type=armor_stand,distance=..20,tag=aircraft,scores={aircraft_health=..0}] at @s run function winged:aircrafts/died
execute if entity @s[tag=team.lime] as @e[type=armor_stand,tag=!team.lime,distance=..20,tag=aircraft,scores={aircraft_health=1..,axis_diff=-1999..1999},tag=!Invulnerable] at @s run function winged:aircrafts/survived
execute if entity @s[tag=team.yellow] as @e[type=armor_stand,tag=!team.yellow,distance=..20,tag=aircraft,scores={aircraft_health=1..,axis_diff=-1999..1999},tag=!Invulnerable] at @s run function winged:aircrafts/survived
execute if entity @s[tag=team.lime] if entity @e[type=armor_stand,tag=!team.lime,distance=..20,tag=aircraft,scores={aircraft_health=1..,axis_diff=-1999..1999},tag=!Invulnerable] as @e[type=cat,limit=1,sort=nearest,tag=chicken_owner] run tag @s add damaged_aircraft
execute if entity @s[tag=team.yellow] if entity @e[type=armor_stand,tag=!team.yellow,distance=..20,tag=aircraft,scores={aircraft_health=1..,axis_diff=-1999..1999},tag=!Invulnerable] as @e[type=cat,limit=1,sort=nearest,tag=chicken_owner] run tag @s add damaged_aircraft

scoreboard players reset @e axis_diff

#DAMAGE BUILDING AND GET UUID OF OWNER

execute if block ~ 50 ~ #leaves run function winged:aircrafts/bullets/landed/damage_buildings/main
execute as @e[type=cat,limit=1,sort=nearest,tag=missile_owner] run function winged:get_uuid
kill @e[type=cat,limit=1,sort=nearest,tag=missile_owner]

#COSMETICS

particle explosion ~ ~ ~ 0.5 0.5 0.5 0 10 force
playsound entity.generic.explode neutral @a ~ ~ ~ 1 1

#KILL CARROT

tag @e remove damaged
kill @s